Package org.apache.sysds.runtime.instructions.spark

# Class ParameterizedBuiltinSPInstruction.RDDTokenizeFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDTokenizeFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,Long,FrameBlock>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

public static class ParameterizedBuiltinSPInstruction.RDDTokenizeFunction extends Object implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,Long,FrameBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RDDTokenizeFunction(Tokenizer tokenizer, int blen)`

## Method Summary

Modifier and Type
Method
Description
`scala.Tuple2<Long,FrameBlock>`
`call(scala.Tuple2<Long,FrameBlock> in)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDDTokenizeFunction

public RDDTokenizeFunction(Tokenizer tokenizer, int blen)

## Method Details

### call

public scala.Tuple2<Long,FrameBlock> call(scala.Tuple2<Long,FrameBlock> in) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<Long,FrameBlock>,Long,FrameBlock>`
Throws:
  `Exception`